/*
	Dual-H bridge test code

	Easy control of DC motors

	The circuit:
	* dual H bridge modules
	* 2 DC motors

	Created 09 05 2016
	By ELECTRONOOBS

	http://electronoobs.netai.net
*/


//we define our pins
int a1=3;
int b1=5;
int a2=6;
int b2=10;

int value=50; //loop inicial value
int val=120; //Medium value
void setup() {
  pinMode(a1,OUTPUT);
  pinMode(b1,OUTPUT);
  pinMode(a2,OUTPUT);
  pinMode(b2,OUTPUT);
  
}

void loop() {
  //Test the directions
  analogWrite(a1,val);
  analogWrite(b1,0);
  analogWrite(a2,0);
  analogWrite(b2,0);
  delay(1000);
  analogWrite(a1,0);
  analogWrite(b1,val);
  analogWrite(a2,0);
  analogWrite(b2,0);
  delay(1000);
  analogWrite(a1,0);
  analogWrite(b1,0);
  analogWrite(a2,val);
  analogWrite(b2,0);
  delay(1000);
  analogWrite(a1,0);
  analogWrite(b1,0);
  analogWrite(a2,0);
  analogWrite(b2,val);
  delay(1000);
  analogWrite(a1,0);
  analogWrite(b1,0);
  analogWrite(a2,0);
  analogWrite(b2,0);
  
  //test the speeds
  for (int i=0;i<4;i++)
  {
    analogWrite(a1,value);
    delay(2000);
    analogWrite(a1,0);
    delay(1000);
    value=value+50;
    }
    delay(3000);

}
